#
# spec file for package kvirustotal
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 8/2011 open-slx GmbH <Sascha.Manns@open-slx.de>
# Copyright (c) 2/2011 Sascha Manns <saigkill@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
%define _gitver 20120721

Name:           kvirustotal
Version:        0.30.0.%{_gitver}
Release:        3.2
Summary:        Online-based Antivirus and Anti-Phising tool
License:        GPL-3.0+
Group:          Productivity/Security
Url:            http://kde-apps.org/content/download.php?content=139065&id=1&tan=92669599
Source:         %{name}-%{_gitver}.tar.bz2
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  kdelibs4
BuildRequires:  kdelibs4-core
BuildRequires:  kdesdk4-scripts
BuildRequires:  libkde4-devel
BuildRequires:  libqca2-devel
BuildRequires:  libqjson-devel
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Requires:       kdelibs4
Requires:       kdelibs4-core
Requires:       libqjson0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
KVirusTotal is an online-based antivirus and anti-phising tool. It 
allows you to submit files that will be analysed by more than 40 
up-to-dated antivirus. Besides, it will accept URLs that will be 
tested against the main anti-phising sytems.


%lang_package
%prep
%setup -q -n kvirustotal

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"
%cmake_kde4
%make_jobs

%install
%makeinstall
%suse_update_desktop_file -r %{name} System Security

%find_lang %{name} --with-kde
%kde_post_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%dir %{_datadir}/kde4/apps/%{name}
%dir %{_datadir}/kde4/apps/%{name}/pics
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/kde4/apps/kvirustotal/pics/%{name}-connecting.gif
%{_datadir}/kde4/apps/kvirustotal/pics/*.png
%{_datadir}/kde4/services/ServiceMenus/kvirustotal_servicemenu.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Jul 21 2012 Sascha.Manns@open-slx.de
- updated to 0.30.0 git 20120721
* Sun Dec 25 2011 Sascha.Manns@open-slx.de
- changed License GPL-3 to GPL-3.0+
* Sun Dec 25 2011 Sascha.Manns@open-slx.de
- updated to 0.22.1
- from Changelog
- Fixed error when analyzing URLs due to change in service provider
  interface
* Tue Oct  4 2011 Sascha.Manns@open-slx.de
- updated to 0.22.0
- from Changelog:
  - Added contextual service menu to dolphin (right click on file
  - -> Scan with KVirusTotal)
  - Implemented command line arguments (-f , -r and -u )
  - Added option to create either single or multiple application
    instances
  - Implemented the ability to check automatically for new versions
    at start up, if wanted
  - Added new menu option "Help --> Check for updates..." for
    on-demand version checks
  - Added Hungarian translation (thanks to Tóth Attila)
  - Added Russian translation (thanks to Alexander Shevyakov)
  - Beautify some menu options
  - Beautify percent values when decimal side is zero not being shown
    (70.0 => 70%% --> 70.0%%)
  - Fixed error when dealing with very small remote files
    (FileDownloader)
  - Fixed a couple of broken connections (MainWindow.cpp &
    BaseHttpConnector)
* Thu Sep  1 2011 Sascha.Manns@open-slx.de
- updated to 0.21.0
- from changelog:
  + Implemented the ability to download and submit files for scanning
  + Added Czech translation (thanks to Pavel Fric)
  + Fixed compilation error for Qt versions previous to 4.7
    (WebHttpConnector)
  + Fixed some translation typos
* Tue Aug 23 2011 Sascha.Manns@open-slx.de
- updated the german Translations (de.po) and sent to upstream
* Tue Aug 23 2011 Sascha.Manns@open-slx.de
- fixed build
* Sun Aug 21 2011 Sascha.Manns@open-slx.de
- updated to 0.20.0
- updated de.po (German Translations)
* Tue Apr 12 2011 saigkill@opensuse.org
- makes fit to 70 zeichen
* Fri Apr  8 2011 saigkill@opensuse.org
- used spec-cleaner
* Tue Mar 15 2011 saigkill@opensuse.org
- updated to version 0.11
-- Added Italian translation (thanks to Gianluca Boiano)
-- Fixed bug that prevents the width of the task table's columns from
  being saved on exit
* Sun Mar 13 2011 saigkill@opensuse.org
- Fix segmentation fault while entering the service key in the welcome
  wizard
  Published 0.10.1
* Sun Mar 13 2011 saigkill@opensuse.org
- updated to version 0.10
  - Added German translation (thanks to Sascha Manns)
  - Implemented smarter queue engine to manage requests more efficiently
  - Integration with KDE notification message system
  - Show antivirus and anti-phising services' workload
  - Added drag and drop support
  - Save each column width for better customization
  - A lot of miscellaneous improvements
* Thu Mar  3 2011 saigkill@opensuse.org
- Added de.po
* Thu Feb 24 2011 saigkill@opensuse.org
- first port for openSUSE
